cmake_minimum_required(VERSION 3.10)

project(sample-fft-fract16-2d)

find_package(elcore50-signal-lib QUIET)
if(${ELCORE50_CL_BUILD})
    find_package(ElcoreRuntime REQUIRED)
endif()

add_executable(sample-fft-fract16-2d sample-fft-fract16-2d.c)
target_link_libraries(sample-fft-fract16-2d PRIVATE elcore50-signal-lib)
if(${ELCORE50_CL_BUILD})
    target_link_libraries(sample-fft-fract16-2d PRIVATE elcore-runtime)
endif()
